cudnn_frontend::TensorBuilder_v8
cudnn_frontend_Tensor.h
Tensor_v8 Tensor_v8 cudnn_frontend::TensorBuilder_v8::m_tensor m_tensor
auto auto cudnn_frontend::TensorBuilder_v8::setDataType (cudnnDataType_t data_type_) -> TensorBuilder_v8 & setDataType cudnnDataType_t data_type_

Set Datatype for the Tensor_v8.

auto auto cudnn_frontend::TensorBuilder_v8::setDim (int64_t ndim, int64_t const *dim) -> TensorBuilder_v8 & setDim int64_t ndim int64_t const * dim

Set Dimensions of the tensor.

auto auto cudnn_frontend::TensorBuilder_v8::setStrides (int64_t ndim, int64_t const *strides) -> TensorBuilder_v8 & setStrides int64_t ndim int64_t const * strides

Set Strides of the tensor.

auto auto cudnn_frontend::TensorBuilder_v8::setId (int64_t id_) -> TensorBuilder_v8 & setId int64_t id_

Set Unique Id of the tensor.

auto auto cudnn_frontend::TensorBuilder_v8::setAlignment (int64_t alignment_) -> TensorBuilder_v8 & setAlignment int64_t alignment_

Set Alignment of the tensor.

auto auto cudnn_frontend::TensorBuilder_v8::setVirtual (bool virtual_=true) -> TensorBuilder_v8 & setVirtual bool virtual_ true

Set Alignment of the tensor.

auto auto cudnn_frontend::TensorBuilder_v8::setByValue (bool isByValue_=true) -> TensorBuilder_v8 & setByValue bool isByValue_ true
auto auto cudnn_frontend::TensorBuilder_v8::setVectorCountAndDimension (int64_t vectorCount_, int64_t vectorDimension_) -> TensorBuilder_v8 & setVectorCountAndDimension int64_t vectorCount_ int64_t vectorDimension_
Tensor_v8 && Tensor_v8&& cudnn_frontend::TensorBuilder_v8::build () build

constructs the Tensor_v8 by calling the cudnn API Throws the appropriate error message

cudnn_frontend::getLogger
cudnn_frontend::Tensor_v8::operator=
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::Tensor_v8::TensorBuilder_v8
cudnn_frontend::TensorBuilder_v8::TensorBuilder_v8
()=default
TensorBuilder_v8
cudnn_frontend::TensorBuilder_v8::~TensorBuilder_v8
()=default
~TensorBuilder_v8
cudnn_frontend::TensorBuilder_v8::TensorBuilder_v8
(TensorBuilder_v8 &&)=delete
TensorBuilder_v8
TensorBuilder_v8 &&
cudnn_frontend::TensorBuilder_v8::TensorBuilder_v8
(TensorBuilder_v8 const &)=delete
TensorBuilder_v8
TensorBuilder_v8 const &
TensorBuilder_v8 & TensorBuilder_v8& cudnn_frontend::TensorBuilder_v8::operator= (TensorBuilder_v8 const &)=delete operator= TensorBuilder_v8 const &

TensorBuilder_v8 Class Helper class used to build Tensor_v8 class

shared_ptr< OpaqueBackendPointer >
cudnn_frontend::TensorBuilder_v8
-m_tensor
cudnnStatus_t
std::basic_string< char >
cudnnDataType_t
bool
int64_t
cudnn_frontend::Tensor_v8
-btensor_dimA
-vectorDimension
-vectorCount
-nDims
-id
-alignment
-btensor_strA
-isByValue
-isVirtual
-data_type
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::TensorBuilder_v8
  build
- cudnn_frontend::TensorBuilder_v8
  m_tensor
- cudnn_frontend::TensorBuilder_v8
  operator=
- cudnn_frontend::TensorBuilder_v8
  setAlignment
- cudnn_frontend::TensorBuilder_v8
  setByValue
- cudnn_frontend::TensorBuilder_v8
  setDataType
- cudnn_frontend::TensorBuilder_v8
  setDim
- cudnn_frontend::TensorBuilder_v8
  setId
- cudnn_frontend::TensorBuilder_v8
  setStrides
- cudnn_frontend::TensorBuilder_v8
  setVectorCountAndDimension
- cudnn_frontend::TensorBuilder_v8
  setVirtual
- cudnn_frontend::TensorBuilder_v8
  TensorBuilder_v8
- cudnn_frontend::TensorBuilder_v8
  TensorBuilder_v8
- cudnn_frontend::TensorBuilder_v8
  TensorBuilder_v8
- cudnn_frontend::TensorBuilder_v8
  ~TensorBuilder_v8